Retry a failed run
POST
/automation/{id}/run/{runId}/retry
Retries from a top-level step only, using the run’s original version.
Path Parameters
idstring
required·
Resource id
runIdstring
required·
Resource id
Request Body
from_step_keystring,null
curl -X POST 'https://api.elaichi.ai/automation/<id>/run/<runId>/retry' \
-H 'Authorization: Bearer $ELAICHI_API_TOKEN' \
-H 'Content-Type: application/json' \
-d '{}'const body = {};
const response = await fetch('https://api.elaichi.ai/automation/<id>/run/<runId>/retry', {
method: 'POST',
headers: {
'Authorization': 'Bearer ' + process.env.ELAICHI_API_TOKEN,
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import os
import requests
url = "https://api.elaichi.ai/automation/<id>/run/<runId>/retry"
headers = {
"Authorization": f"Bearer {os.environ['ELAICHI_API_TOKEN']}",
"Content-Type": "application/json",
}
payload = {}
response = requests.post(url, headers=headers, json=payload)
print(response.json())